<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;

class crm00050000OperadorRevendaController extends TeknisaCrud
{
    protected $dataSourceName = 'crm_operrevenda';
    
    public function save(Request $request, Response $response) {
        parent::save($request, $response);
        
	    $columnsToReturn = $this->crudService->getColumnsToReturn();
	    
        $retorno = array();
        
        if (count($columnsToReturn) > 0){
            $retorno["NROPERREVENDA"] = $columnsToReturn[0]["NROPERREVENDA"];
        }
        
	    $response->addDataSet(new DataSet("columnsToReturn", $retorno));
    }
}
?>